import React from 'react'
import { EditableProTable, ProColumns } from '@ant-design/pro-components'

export default function TableEdit() {
  const columns: ProColumns[] = [
    {
      title: '代码',
      dataIndex: 'code',
      key: 'name',
      valueType: 'text',
    },
    {
      title: '名称',
      dataIndex: 'name',
      key: 'name',
      valueType: 'text',
    },
    {
      title: '类型',
      dataIndex: 'type',
      key: 'name',
      valueType: 'text',
    },
    {
      title: '长度',
      dataIndex: 'desc',
      key: 'name',
      valueType: 'text',
    },
    {
      title: '描述',
      dataIndex: 'desc',
      key: 'name',
      valueType: 'text',
    },
    {
      title: '必填',
      dataIndex: 'desc',
      key: 'name',
      valueType: 'switch',
    },
    {
      title: '唯一',
      dataIndex: 'desc',
      key: 'name',
      valueType: 'switch',
    },
    {
      title: '默认值',
      dataIndex: 'desc',
      key: 'name',
      valueType: 'text',
    },
    {
      title: '字符集',
      dataIndex: 'desc',
      key: 'name',
      valueType: 'text',
    },
    {
      title: '内容',
      dataIndex: 'desc',
      key: 'name',
      valueType: 'text',
    },
    
  ]
  return (
    <div className='w-full h-full'>
      <EditableProTable columns={columns}/>
    </div>
  )
}
